# PermissionGacha

This is a bot I've written for the Discord server, Periodic Table.
Some would say that it's quite flexible but it's not. It's only flexible enough for myself to test it on another server.
There are no guarantees that it would fit your use case. Heck, there are no guarantees that it would be useful to you at all.

## Compiling PermissionGacha

In the off-chance that you'd like to run it yourself, here's the (probably unmaintained) instructions to run it.
It might not be up-to-date so you'll have to adapt it for yourself.

### Prerequisites

You'll need:
- [Git](https://git-scm.com/downloads) (to download the source code)
- [Go](https://golang.org/dl) (to compile the source code)

If you are not smart enough to install them, you shouldn't be doing this at all.

### Step 1: Download Source Code

Open your terminal (or Git Bash if you're on Windows) and navigate using `cd` to a folder of your choice. Then run:
```
git clone https://gitea.teamortix.com/chanbakjsd/PermissionGacha
```
This will create a folder named "PermissionGacha" with the source code in it.

### Step 2: Compile Source Code

Navigate inside the "PermissionGacha" folder that you've just created.
Compile the code inside with:
```
go build .
```

You should find a file named `PermissionGacha` or `PermissionGacha.exe` now created. (It'll be called as *the executable* below)

### Step 3 (Optional): Update PermissionGacha

If you're updating, you don't need to redownload the full source code.
To get the latest version, just run the following command:
```
git pull
```

And build it just like in Step 2.

## Run PermissionGacha

### Step 0: Don't be an idiot

DO **NOT** double-click the executable.
Kill it with `top` or `ps` and `kill` or your choice of task manager if you did. It simply wouldn't work.

### Step 1: Configure config.json

You can try and figure it out yourself from `modules/config/config.go`.

### Step 2: Run it in the terminal

Open your terminal (or command prompt if you're from lame Windows). `cd` into the directory where you compiled PermissionGacha.
